Modules/Admin/Routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('admin')->group(function() {
    Route::get('/', 'AdminController@index');
    // slideshow route
    Route::resource('slide', 'SlideShowController')
        ->except(['show','destroy']);
    Route::get('slide/delete/{id}', 'SlideShowController@delete')
        ->name('slide.delete');
    Route::get('logout', 'AuthenticateController@logout');
    Route::post('login', 'AuthenticateController@login');
    // about route
    Route::get('about', 'AboutController@index');
    Route::get('about/edit/{id}', 'AboutController@edit');
    Route::post('about/update', 'AboutController@update');
    // file manager
    Route::view('fileman', 'admin::fileman');

     //Service
     Route::resource('service', 'ServiceController');
     Route::get('service/delete/{id}', 'ServiceController@delete');

     //Teams
     Route::resource('team', 'TeamController');
     Route::get('team/delete/{id}', 'TeamController@delete')->name('team.delete');
























     //News
     Route::resource('news', 'NewsController');
     Route::get('news/delete/{id}', 'NewsController@delete')->name('news.delete');




























     
    //Category
    Route::resource('category', 'CategoryController');
    Route::get('category/delete/{id}', 'CategoryController@delete')->name('category.delete');

     //Portfolios
     Route::resource('portfolios', 'PortfoliosController');
     Route::get('portfolios/delete/{id}', 'PortfoliosController@delete')->name('portfolios.delete');
});

Modules/Admin/Http/Controllers/CategoryController.php
<?php

namespace Modules\Admin\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use DB;

class CategoryController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index()
    {
        $data['categories'] = DB::table('categories')
            ->where('active', 1)
            ->paginate(config('app.row'));
        return view('admin::categories.index', $data);
    }

    /**
     * Show the form for creating a new resource.
     * @return Response
     */
    public function create()
    {
        return view('admin::categories.create');
    }
    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'title' => 'min:3|required'
        ]);
        $data = array(
            'title' => $request->title,
            'category' => $request->category,
        );
        $i = DB::table('categories')->insert($data);
        if($i)
        {
            return redirect('admin/category/create')->with('success', 'Data has been saved!');
        }
        else{
            sess()->flash('error', 'Fail to save data!');
            return redirect('admin/category/create')->withInput();
        }
    }
    /**
     * Show the specified resource.
     * @param int $id
     * @return Response
     */
    public function show($id)
    {
        return view('admin::show');
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Response
     */
    public function edit($id)
    {
        // $slide = DB::table('slides')->find($id);
        // return view('admin::slides.edit', compact('slide'));
        return view('admin::categories.edit', ['category'=>DB::table('categories')->find($id)]);
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            'title' => 'min:3|required'
        ]);
        $data = array(
            'title' => $request->title,
            'category' => $request->category
           
        );
        $i = DB::table('categories')
            ->where('id', $id)
            ->update($data);
        if($i)
        {
            return redirect('admin/category')->with('success', 'Data has been saved!');
        }
        else{
            sess()->flash('error', 'Fail to save data!');
            return redirect()->route('category.edit', $id);
        }
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Response
     */
    public function delete($id)
    {
        DB::table('categories')
            ->where('id', $id)
            ->update(['active'=>0]);
        return redirect('admin/category')->with('success', 'Data has been removed!');
    }
}

Modules/Admin/Resources/views/categories/create.blade.php
@extends('admin::layouts.master')
@section('content')
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-sm-4">
                    <h3><i class="fa fa-star"></i> Create Category</h3>
                </div>
                <div class="col-sm-8">
                    <a href="{{route('category.index')}}" class="btn btn-primary btn-sm float-right">
                        <i class="fa fa-reply"></i> Back
                    </a>
                </div>
            </div>
            <hr>
            @if(Session::has('success'))
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <p>
                        {{session('success')}}
                    </p>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            @endif
            @if(Session::has('error'))
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                    <p>
                        {{session('error')}}
                    </p>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            @endif
            @if($errors->any())
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                   <ul>
                       @foreach($errors->all() as $error)
                            <li>{{$error}}</li>
                       @endforeach
                   </ul>
                </div>
            @endif
            <form action="{{route('category.store')}}" method="POST" >
                @csrf
                <div class="row">
                    <div class="col-sm-7">
                        <div class="form-group row">
                            <label class="col-sm-2" for='title'>Title <span class="text-danger">*</span></label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="title" name="title" required 
                                    value="{{old('title')}}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-2" for='category'>Category</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control"  name="category" id="category">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-2"> </label>
                            <div class="col-sm-10">
                                <button class="btn btn-primary btn-sm">
                                    <i class="fa fa-save"></i> Save
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection

Modules/Admin/Resources/views/categories/edit.blade.php
@extends('admin::layouts.master')
@section('content')
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-sm-4">
                    <h3><i class="fa fa-star"></i> Create Category</h3>
                </div>
                <div class="col-sm-8">
                    <a href="{{route('category.index')}}" class="btn btn-primary btn-sm float-right">
                        <i class="fa fa-reply"></i> Back
                    </a>
                </div>
            </div>
            <hr>
            @if(Session::has('success'))
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <p>
                        {{session('success')}}
                    </p>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            @endif
            @if(Session::has('error'))
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                    <p>
                        {{session('error')}}
                    </p>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            @endif
            @if($errors->any())
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                   <ul>
                       @foreach($errors->all() as $error)
                            <li>{{$error}}</li>
                       @endforeach
                   </ul>
                </div>
            @endif
            <form action="{{route('category.update', $category->id)}}" method="POST" >
                @csrf
                @method('PATCH')
                <div class="row">
                    <div class="col-sm-7">
                        <div class="form-group row">
                            <label class="col-sm-2" for='title'>Title <span class="text-danger">*</span></label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="title" name="title" required 
                                    value="{{$category->title}}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-2" for='category'>Category</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" value="{{$category->category}}" name="category" id="category">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-2"> </label>
                            <div class="col-sm-10">
                                <button class="btn btn-primary btn-sm">
                                    <i class="fa fa-save"></i> Save
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection

Modules/Admin/Resources/views/categories/index.blade.php
@extends('admin::layouts.master')
@section('content')
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-sm-4">
                    <h3><i class="fa fa-star"></i> Category</h3>
                </div>
                <div class="col-sm-8">
                    <a href="{{route('category.create')}}" class="btn btn-primary btn-sm float-right">
                        <i class="fa fa-plus"></i> Create
                    </a>
                </div>
            </div>
            @if(Session::has('success'))
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <p>
                        {{session('success')}}
                    </p>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            @endif
            <table class="table table-bordered table-sm">
                <thead>
                    <th>#</th>
                    <th>Title</th>
                    <th>Category</th>
                    <th>Other</th>
                </thead>
                <tbody>
                    <?php
                        $page = @$_GET['page'];
                        if(!$page)
                        {
                            $page = 1;
                        }
                        $i = config('app.row') * ($page -1) + 1;
                    ?>
                    @foreach($categories as $cate)
                        <tr>
                            <td>{{$i++}}</td>
                            <td>{{$cate->title}}</td>
                            <td>{{$cate->category}}</td>
                            <td>
                                <a href="{{route('category.delete', $cate->id)}}" class="btn btn-danger btn-sm" 
                                    title="Delete" onclick="return confirm('You want to delete?')">
                                   Delete
                                </a>
                                <a href="{{route('category.edit', $cate->id)}}" class="btn btn-success btn-sm" 
                                    title="Edit">
                                    Edit
                                </a>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
            {{$categories->links()}}
        </div>
    </div>
@endsection